Package org.codehaus.commons.compiler.util

# Class ResourceFinderClassLoader

java.lang.Object
java.lang.ClassLoader
org.codehaus.commons.compiler.util.ResourceFinderClassLoader

public class ResourceFinderClassLoader extends ClassLoader
A `ClassLoader` that uses a `ResourceFinder` to find ".class" files.

## Constructor Summary

Constructors
Constructor
Description
`ResourceFinderClassLoader(ResourceFinder resourceFinder, ClassLoader parent)`

## Method Summary

Modifier and Type
Method
Description
`protected Class<?>`
`findClass(String className)`
`ResourceFinder`
`getResourceFinder()`

### Methods inherited from class java.lang.ClassLoader

`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findResource, findResources, findSystemClass, getClassLoadingLock, getDefinedPackage, getDefinedPackages, getName, getPackage, getPackages, getParent, getPlatformClassLoader, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, getUnnamedModule, isRegisteredAsParallelCapable, loadClass, loadClass, registerAsParallelCapable, resolveClass, resources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResourceFinderClassLoader

public ResourceFinderClassLoader(ResourceFinder resourceFinder, ClassLoader parent)

## Method Details

### getResourceFinder

public ResourceFinder getResourceFinder()

Returns:
  The underlying `ResourceFinder`

### findClass

protected Class<?> findClass(@Nullable String className) throws ClassNotFoundException

Overrides:
  `findClass` in class `ClassLoader`
Throws:
  `ClassNotFoundException`